QGIS Application - Feature request #14012
DB Manager: add an option to store $user to Versioning
2015-12-18 10:21 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 22025
Description

It would be good to add to the Versioning command an option to automatically store the user who did the editing. It should be easy, adding
a trigger on update, delete, insert.

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-05-30 08:51 AM - Jiirgen Fischer
- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/4643

#3 - 2018-02-25 05:36 PM - Paolo Cavallini
- Status changed from Open to Feedback

Still missing in QGIS 3. What is the problem with the patch provided? | see a Travis failure, don't know how serious it is.

#4 - 2018-02-25 05:38 PM - Giovanni Manghi
- Status changed from Feedback to Open

Paolo Cavallini wrote:

Still missing in QGIS 3. What is the problem with the patch provided? | see a Travis failure, don't know how serious it is.

you have to ask this question in the PR, not here.

#5 - 2018-06-22 07:15 AM - Paolo Cavallini
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in https://github.com/qgis/QGIS/pull/4643#pullrequestreview-131038277
